<template>
  <div>
    <button class="btn" @click="toggleTheme">Switch to {{this.darkMode? "dark" : "light"}} mode</button>
    <calculator />
  </div>
</template>

<script>
import Calculator from "./components/Calculator.vue";
export default {
  components: { Calculator },
  data() {
    return {
      darkMode: false,
    };
  },
  methods: {
    toggleTheme() {
      if (this.darkMode) {
        document.documentElement.setAttribute("data-theme", "dark");
        this.darkMode = !this.darkMode;
      } else {
        document.documentElement.setAttribute("data-theme", "light");
        this.darkMode = !this.darkMode;
      }
    },
  },
};
</script>

<style>
.btn {
  border-radius: 15px;
  border: none;
  background-color: var(--background-calculator);
  color: var(--input-text);
}
:root {
  --text-color: #fff;
  --highlight: #0b3e41;
  --major: #59a59d;
  --input-color: #030d0f;
  --border: #101116;
  --background-calculator: #000807;
  --input-text: #fff;
  --btn-color: #101116;
}
[data-theme="dark"] {
  --text-color: #fff;
  --highlight: #0b3e41;
  --major: #59a59d;
  --input-color: #030d0f;
  --border: #101116;
  --background-calculator: #000807;
  --input-text: #fff;
  --btn-color: #101116;
}

[data-theme="light"] {
  --text-color: #000;
  --highlight: #c0ede9;
  --major: #59a59d;
  --input-color: #fff;
  --border: #fff;
  --background-calculator: #fff;
  --input-text: #000;
  --btn-color: #f8f8f8;
}
</style>
